module Rack
  module OAuth2
    module Server
      class Token
        class FacebookToken < Abstract::Handler
          def call(env)
            @request  = Request.new(env)
            @response = Response.new(request)
            super
          end

          class Request < Token::Request
            attr_required :facebook_token

            def initialize(env)
              super
              @grant_type = :facebook_token
              @facebook_token = params['facebook_token']
              attr_missing!
            end
          end
        end
      end
    end
  end
end

